# Do not edit this file; it's autogenerated.

load common


@test 'custom build chtest' {
    scope standard
    tarball=$ch_tardir/chtest
    pq=$ch_tardir/chtest.pq_missing
    workdir=$ch_tardir/chtest.tmp
    rm -f "$pq"
    mkdir "$workdir"
    cd "chtest"
    run ./Build "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build centos7xz' {
    scope standard
    tarball=$ch_tardir/centos7xz
    pq=$ch_tardir/centos7xz.pq_missing
    workdir=$ch_tardir/centos7xz.tmp
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.centos7xz "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build missing' {
    scope quick
    tarball=$ch_tardir/missing
    pq=$ch_tardir/missing.pq_missing
    workdir=$ch_tardir/missing.tmp
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.missing "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'custom build skopeo-umoci' {
    scope standard
    tarball=$ch_tardir/skopeo-umoci
    pq=$ch_tardir/skopeo-umoci.pq_missing
    workdir=$ch_tardir/skopeo-umoci.tmp
    rm -f "$pq"
    mkdir "$workdir"
    cd "."
    run ./Build.skopeo-umoci "$PWD" "$tarball" "$workdir"
    echo "$output"
    rm -Rf "$workdir"
    if [[ $status -eq 65 ]]; then
         touch "$pq"
         skip 'prerequisites not met'
    fi
    [[ $status -eq 0 ]]
}

@test 'ch-build alpine36' {
    scope quick
    need_docker alpine36
    ch-build -t alpine36 --file="Dockerfile.alpine36" "."
    sudo docker tag alpine36 "alpine36:$ch_version_docker"
    docker_ok alpine36
}
@test 'ch-docker2tar alpine36' {
    scope quick
    need_docker
    tarball="$ch_tardir/alpine36.tar.gz"
    ch-docker2tar alpine36 "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build alpineedge' {
    scope full
    need_docker alpineedge
    ch-build -t alpineedge --file="Dockerfile.alpineedge" "."
    sudo docker tag alpineedge "alpineedge:$ch_version_docker"
    docker_ok alpineedge
}
@test 'ch-docker2tar alpineedge' {
    scope full
    need_docker
    tarball="$ch_tardir/alpineedge.tar.gz"
    ch-docker2tar alpineedge "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build centos6' {
    scope full
    need_docker centos6
    ch-build -t centos6 --file="Dockerfile.centos6" "."
    sudo docker tag centos6 "centos6:$ch_version_docker"
    docker_ok centos6
}
@test 'ch-docker2tar centos6' {
    scope full
    need_docker
    tarball="$ch_tardir/centos6.tar.gz"
    ch-docker2tar centos6 "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build centos7' {
    scope full
    need_docker centos7
    ch-build -t centos7 --file="Dockerfile.centos7" "."
    sudo docker tag centos7 "centos7:$ch_version_docker"
    docker_ok centos7
}
@test 'ch-docker2tar centos7' {
    scope full
    need_docker
    tarball="$ch_tardir/centos7.tar.gz"
    ch-docker2tar centos7 "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build debian9' {
    scope standard
    need_docker debian9
    ch-build -t debian9 --file="Dockerfile.debian9" "."
    sudo docker tag debian9 "debian9:$ch_version_docker"
    docker_ok debian9
}
@test 'ch-docker2tar debian9' {
    scope standard
    need_docker
    tarball="$ch_tardir/debian9.tar.gz"
    ch-docker2tar debian9 "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build mpich' {
    scope full
    need_docker mpich
    ch-build -t mpich --file="Dockerfile.mpich" "."
    sudo docker tag mpich "mpich:$ch_version_docker"
    docker_ok mpich
}
@test 'ch-docker2tar mpich' {
    scope full
    need_docker
    tarball="$ch_tardir/mpich.tar.gz"
    ch-docker2tar mpich "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build nvidia' {
    scope full
    need_docker nvidia
    ch-build -t nvidia --file="Dockerfile.nvidia" "."
    sudo docker tag nvidia "nvidia:$ch_version_docker"
    docker_ok nvidia
}
@test 'ch-docker2tar nvidia' {
    scope full
    need_docker
    tarball="$ch_tardir/nvidia.tar.gz"
    ch-docker2tar nvidia "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build openmpi' {
    scope full
    need_docker openmpi
    ch-build -t openmpi --file="Dockerfile.openmpi" "."
    sudo docker tag openmpi "openmpi:$ch_version_docker"
    docker_ok openmpi
}
@test 'ch-docker2tar openmpi' {
    scope full
    need_docker
    tarball="$ch_tardir/openmpi.tar.gz"
    ch-docker2tar openmpi "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build python3' {
    scope full
    need_docker python3
    ch-build -t python3 --file="Dockerfile.python3" "."
    sudo docker tag python3 "python3:$ch_version_docker"
    docker_ok python3
}
@test 'ch-docker2tar python3' {
    scope full
    need_docker
    tarball="$ch_tardir/python3.tar.gz"
    ch-docker2tar python3 "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build ubuntu1604' {
    scope full
    need_docker ubuntu1604
    ch-build -t ubuntu1604 --file="Dockerfile.ubuntu1604" "."
    sudo docker tag ubuntu1604 "ubuntu1604:$ch_version_docker"
    docker_ok ubuntu1604
}
@test 'ch-docker2tar ubuntu1604' {
    scope full
    need_docker
    tarball="$ch_tardir/ubuntu1604.tar.gz"
    ch-docker2tar ubuntu1604 "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'docker pull alpine36_dp' {
    scope quick
    need_docker alpine36_dp
    sudo docker pull alpine:3.6
    sudo docker tag alpine:3.6 alpine36_dp
    sudo docker tag alpine36_dp "alpine36_dp:$ch_version_docker"
    docker_ok alpine36_dp
}
@test 'ch-docker2tar alpine36_dp' {
    scope quick
    need_docker
    tarball="$ch_tardir/alpine36_dp.tar.gz"
    ch-docker2tar alpine36_dp "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build lammps' {
    scope full
    need_docker lammps
    ch-build -t lammps --file="../examples/mpi/lammps/Dockerfile" "../examples/mpi/lammps"
    sudo docker tag lammps "lammps:$ch_version_docker"
    docker_ok lammps
}
@test 'ch-docker2tar lammps' {
    scope full
    need_docker
    tarball="$ch_tardir/lammps.tar.gz"
    ch-docker2tar lammps "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build paraview' {
    scope full
    need_docker paraview
    ch-build -t paraview --file="../examples/mpi/paraview/Dockerfile" "../examples/mpi/paraview"
    sudo docker tag paraview "paraview:$ch_version_docker"
    docker_ok paraview
}
@test 'ch-docker2tar paraview' {
    scope full
    need_docker
    tarball="$ch_tardir/paraview.tar.gz"
    ch-docker2tar paraview "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build spark' {
    scope standard
    need_docker spark
    ch-build -t spark --file="../examples/other/spark/Dockerfile" "../examples/other/spark"
    sudo docker tag spark "spark:$ch_version_docker"
    docker_ok spark
}
@test 'ch-docker2tar spark' {
    scope standard
    need_docker
    tarball="$ch_tardir/spark.tar.gz"
    ch-docker2tar spark "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build hello' {
    scope standard
    need_docker hello
    ch-build -t hello --file="../examples/serial/hello/Dockerfile" "../examples/serial/hello"
    sudo docker tag hello "hello:$ch_version_docker"
    docker_ok hello
}
@test 'ch-docker2tar hello' {
    scope standard
    need_docker
    tarball="$ch_tardir/hello.tar.gz"
    ch-docker2tar hello "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build obspy' {
    scope skip
    need_docker obspy
    ch-build -t obspy --file="../examples/serial/obspy/Dockerfile" "../examples/serial/obspy"
    sudo docker tag obspy "obspy:$ch_version_docker"
    docker_ok obspy
}
@test 'ch-docker2tar obspy' {
    scope skip
    need_docker
    tarball="$ch_tardir/obspy.tar.gz"
    ch-docker2tar obspy "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build spack' {
    scope full
    need_docker spack
    ch-build -t spack --file="../examples/serial/spack/Dockerfile" "../examples/serial/spack"
    sudo docker tag spack "spack:$ch_version_docker"
    docker_ok spack
}
@test 'ch-docker2tar spack' {
    scope full
    need_docker
    tarball="$ch_tardir/spack.tar.gz"
    ch-docker2tar spack "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build mpibench-mpich' {
    scope full
    need_docker mpibench-mpich
    ch-build -t mpibench-mpich --file="../examples/mpi/mpibench/Dockerfile.mpich" "../examples/mpi/mpibench"
    sudo docker tag mpibench-mpich "mpibench-mpich:$ch_version_docker"
    docker_ok mpibench-mpich
}
@test 'ch-docker2tar mpibench-mpich' {
    scope full
    need_docker
    tarball="$ch_tardir/mpibench-mpich.tar.gz"
    ch-docker2tar mpibench-mpich "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build mpibench-openmpi' {
    scope full
    need_docker mpibench-openmpi
    ch-build -t mpibench-openmpi --file="../examples/mpi/mpibench/Dockerfile.openmpi" "../examples/mpi/mpibench"
    sudo docker tag mpibench-openmpi "mpibench-openmpi:$ch_version_docker"
    docker_ok mpibench-openmpi
}
@test 'ch-docker2tar mpibench-openmpi' {
    scope full
    need_docker
    tarball="$ch_tardir/mpibench-openmpi.tar.gz"
    ch-docker2tar mpibench-openmpi "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build mpihello-mpich' {
    scope full
    need_docker mpihello-mpich
    ch-build -t mpihello-mpich --file="../examples/mpi/mpihello/Dockerfile.mpich" "../examples/mpi/mpihello"
    sudo docker tag mpihello-mpich "mpihello-mpich:$ch_version_docker"
    docker_ok mpihello-mpich
}
@test 'ch-docker2tar mpihello-mpich' {
    scope full
    need_docker
    tarball="$ch_tardir/mpihello-mpich.tar.gz"
    ch-docker2tar mpihello-mpich "$ch_tardir"
    tarball_ok "$tarball"
}

@test 'ch-build mpihello-openmpi' {
    scope full
    need_docker mpihello-openmpi
    ch-build -t mpihello-openmpi --file="../examples/mpi/mpihello/Dockerfile.openmpi" "../examples/mpi/mpihello"
    sudo docker tag mpihello-openmpi "mpihello-openmpi:$ch_version_docker"
    docker_ok mpihello-openmpi
}
@test 'ch-docker2tar mpihello-openmpi' {
    scope full
    need_docker
    tarball="$ch_tardir/mpihello-openmpi.tar.gz"
    ch-docker2tar mpihello-openmpi "$ch_tardir"
    tarball_ok "$tarball"
}
